package zllauth1

type LoginFailureType uint8

const (
	LFT_SUCCESS                      LoginFailureType = iota
	LFT_UNDEFINED_ERROR              LoginFailureType = iota
	LFT_INVALID_USERNAME_OR_PASSWORD LoginFailureType = iota
	LFT_PERMISSION_DENIED            LoginFailureType = iota
	LFT_USER_BANNED                  LoginFailureType = iota
	LFT_SECURE_SYSTEM_NOT_INIT       LoginFailureType = iota
	LFT_DECODE_HEX_FAIL              LoginFailureType = iota
	LFT_DECRYPT_SM2_FAIL             LoginFailureType = iota
	LFT_UNMARSHAL_JSON_FAIL          LoginFailureType = iota
	LFT_NO_LOGIN_CHECK_HANDLER       LoginFailureType = iota
	LFT_JWT_SIGN_ERROR               LoginFailureType = iota
	LFT_JWT_CHECK_FAIL               LoginFailureType = iota
	LFT_JWT_ISSUER_NOT_MATCH         LoginFailureType = iota
	LFT_JWT_SUBJECT_NOT_MATCH        LoginFailureType = iota
	LFT_JWT_RENEW_CALLBACK_ERROR     LoginFailureType = iota
	LFT_LOGIN_INFO_FIELDS_NOT_MATCH  LoginFailureType = iota
)

func (t LoginFailureType) ToString() string {
	switch t {
	case LFT_SUCCESS:
		return "SUCCESS"
	case LFT_UNDEFINED_ERROR:
		return "UNDEFINED_ERROR"
	case LFT_INVALID_USERNAME_OR_PASSWORD:
		return "INVALID_USERNAME_OR_PASSWORD"
	case LFT_PERMISSION_DENIED:
		return "PERMISSION_DENIED"
	case LFT_USER_BANNED:
		return "USER_BANNED"
	case LFT_SECURE_SYSTEM_NOT_INIT:
		return "SECURE_SYSTEM_NOT_INIT"
	case LFT_DECODE_HEX_FAIL:
		return "DECODE_HEX_FAIL"
	case LFT_DECRYPT_SM2_FAIL:
		return "DECRYPT_SM2_FAIL"
	case LFT_UNMARSHAL_JSON_FAIL:
		return "UNMARSHAL_JSON_FAIL"
	case LFT_NO_LOGIN_CHECK_HANDLER:
		return "NO_LOGIN_CHECK_HANDLER"
	case LFT_JWT_SIGN_ERROR:
		return "JWT_SIGN_ERROR"
	case LFT_JWT_CHECK_FAIL:
		return "JWT_CHECK_FAIL"
	case LFT_JWT_ISSUER_NOT_MATCH:
		return "JWT_ISSUER_NOT_MATCH"
	case LFT_JWT_SUBJECT_NOT_MATCH:
		return "JWT_SUBJET_NOT_MATCH"
	case LFT_JWT_RENEW_CALLBACK_ERROR:
		return "JWT_RENEW_CALLBACK_ERROR"
	case LFT_LOGIN_INFO_FIELDS_NOT_MATCH:
		return "LOGIN_INFO_FIELDS_NOT_MATCH"
	default:
		return "UNDEFINED_ERROR"
	}
}
